Index: kernel/f5lists.cc
===================================================================
--- kernel/f5lists.cc	(revision 70c15eb2e3e8bb6677b7ddd9bbec70924a12865b)
+++ kernel/f5lists.cc	(revision 35a76a17eccff079e65732eed250dcf59efee656)
@@ -38,5 +38,5 @@
        
 LNode::LNode(LPoly* lp, LNode* l) {
-Print("HIER LNODE\n");
+//Print("HIER LNODE\n");
     data                =   lp;
     next                =   l;
@@ -73,7 +73,7 @@
 // needed for list gPrev
 LNode* LNode::insert(LPoly* lp) {
-    Print("INSERTION: \n");
-    Print("LAST GPREV: ");
-    pWrite(this->getPoly());
+    //Print("INSERTION: \n");
+    //Print("LAST GPREV: ");
+    //pWrite(this->getPoly());
 LNode* newElement   =   new LNode(lp, NULL);
     this->next          =   newElement;
@@ -101,5 +101,5 @@
 // only used for the S-polys to be reduced (TopReduction building new S-polys with higher label)
 LNode* LNode::insertByLabel(poly t, int i, poly p, Rule* r) {
-    if(NULL == data) {
+    if(NULL == this || NULL == data) {
         LNode* newElement   =   new LNode(t, i, p, r, this);
         return newElement;
@@ -120,11 +120,11 @@
                 else {
                     temp = temp->next;
-                    Print("%p\n",temp);
-                    Print("%p\n",temp->data);
+                    //Print("%p\n",temp);
+                    //Print("%p\n",temp->data);
                     
-                    Print("%p\n",temp->next);
+                    //Print("%p\n",temp->next);
                 }
             }
-        Print("HIER\n");
+        //Print("HIER\n");
             LNode* newElement   =   new LNode(t, i, p, r, temp->next);
             temp->next          =   newElement;
@@ -208,11 +208,12 @@
     LNode* temp = this;
     Print("___________________List of S-polynomials______________________:\n");
+    Print("%p\n",this);
     while(NULL != temp && NULL != temp->data) {
         Print("HIER\n");
         Print("Index: %d\n",temp->getIndex());
         Print("Term: ");
-        pWrite(temp->getTerm());
+        //pWrite(temp->getTerm());
         Print("Poly: ");
-        pWrite(temp->getPoly());
+        //pWrite(temp->getPoly());
         Print("\n");
         temp = temp->next;
@@ -252,8 +253,8 @@
 void LList::insert(LPoly* lp) {
     last = last->insert(lp);
-    Print("NEW LAST GPREV: ");
-    pWrite(last->getPoly());
+    //Print("NEW LAST GPREV: ");
+    //pWrite(last->getPoly());
     length++;
-    Print("LENGTH %d\n",length);
+    //Print("LENGTH %d\n",length);
 }
 
@@ -261,5 +262,5 @@
     last = last->insert(t,i,p,r);
     length++;
-    Print("LENGTH %d\n",length);
+    //Print("LENGTH %d\n",length);
 }
 
@@ -268,5 +269,5 @@
     first = first->insertSP(lp);
     length++;
-    Print("LENGTH %d\n",length);
+    //Print("LENGTH %d\n",length);
 }
 
@@ -274,5 +275,5 @@
     first = first->insertSP(t,i,p,r);
     length++;
-    Print("LENGTH %d\n",length);
+    //Print("LENGTH %d\n",length);
 }
 
@@ -281,5 +282,5 @@
     first = first->insertByLabel(t,i,p,r);
     length++;
-    Print("LENGTH %d\n",length);
+    //Print("LENGTH %d\n",length);
 }
 
@@ -287,5 +288,5 @@
     first = first->insertByLabel(l->getTerm(),l->getIndex(),l->getPoly(),l->getRule());
     length++;
-    Print("LENGTH %d\n",length);
+    //Print("LENGTH %d\n",length);
 }
 
@@ -481,12 +482,12 @@
         if( c->getDeg() == this->data->getDeg() ) { // same degree than the first list element
             if(1 != pLmCmp(u1,ppMult_qq(this->data->getT1(), this->data->getLp1Term()))) {
-                pWrite(u1);
-                Print("Multi-Term in CritPairs Sortierung altes Element: ");
-                pWrite(ppMult_qq(this->data->getT1(),this->data->getLp1Term()));
+                //pWrite(u1);
+                //Print("Multi-Term in CritPairs Sortierung altes Element: ");
+                //pWrite(ppMult_qq(this->data->getT1(),this->data->getLp1Term()));
                 CNode* newElement   =   new CNode(c, this);
                 return newElement;
             }
             else {
-                Print("Insert Deg\n");
+                //Print("Insert Deg\n");
                 CNode* temp = this;
                 while(  NULL != temp->next->data ) {
@@ -810,7 +811,7 @@
 // declaration with first as parameter due to sorting of RTagList
 RTagNode* RTagNode::insert(RNode* r) {
-    Print("Hier1\n");
+    //Print("Hier1\n");
     RTagNode* newElement  = new RTagNode(r, this);
-    Print("Hier2\n");
+    //Print("Hier2\n");
     return newElement;
 }
@@ -833,6 +834,6 @@
         int j;
         RTagNode* temp = this; 
-    Print("\n\nHIER IN GET IDX\n");
-    Print("FOR LOOP: %d\n",length-idx+1);    
+    //Print("\n\nHIER IN GET IDX\n");
+    //Print("FOR LOOP: %d\n",length-idx+1);    
     for(j=1; j<=length-idx+1; j++) {
             temp = temp->next;
@@ -849,10 +850,10 @@
     RTagNode* temp  =   this;
     Print("1. element: %d",getRNode()->getRule()->getIndex());
-    pWrite(getRNode()->getRule()->getTerm());
+    //pWrite(getRNode()->getRule()->getTerm());
     temp    =   temp->next;
     int i   =   2;
     while(NULL != temp->getRNode()) {
         Print("%d. element: %d",i,getRNode()->getRule()->getIndex());
-        pWrite(getRNode()->getRule()->getTerm());
+        //pWrite(getRNode()->getRule()->getTerm());
         temp    =   temp->next;
         i++;
@@ -878,7 +879,7 @@
 void RTagList::insert(RNode* r) {
     first = first->insert(r);
-    Print("LENGTH:%d\n",length);
+    //Print("LENGTH:%d\n",length);
     length = length +1;
-    Print("LENGTH:%d\n",length);
+    //Print("LENGTH:%d\n",length);
 }
 
